Subject: 3.3: Program's exit code not regarded?

From: Dariush Forouher <[email-masked]>
Date: Tue, 18 May 2004 20:55:28 +0200

Hi,

I'm using Argus 3.3.

Today I noticed that the exit code 256 of smbclient is interpreted as 
"up" by Argus. The docs say that Argus will use the exit codes if 
"expect" is not defined, which is the case here.
After looking into the source I found that line 237 in Prog.pm is 
commented out in v.3.3, while it wasn't in v.3.2.1 (where Prog-Service 
used to work this way). Would reinserting this check solve this problem 
(I'm not familiar with the Argus code itself)?

regards
Dariush

This is a copy of the debug page:
acl_about	root	
acl_annotate	staff root	
acl_flush	root	
acl_getconf	root	
acl_logfile	staff root	
acl_mode	simple	
acl_ntfyack	staff root	
acl_ntfyackall	root	
acl_ntfydetail	staff root	
acl_ntfylist	staff root	
acl_override	staff root	
acl_page	user staff root	
acl_root	root	
acl_staff	staff root	
acl_user	user staff root	
alarm	0	
autogenerated	0	
children	unprintable data structure	
confck	unprintable data structure	
config	unprintable data structure	
countstop	0	
currseverity	clear	
definedattime	Tue 4 May 07:45:33 2004	
definedinfile	/var/argus/configs/server.include	
definedonline	160	
depend	unprintable data structure	
graph	0	
gravity	down	
image	unprintable data structure	
image::barstyle	none	
image::drawborder	1	
image::gr_what	result	
image::title	Samba	
image::transparent	1	
image::whichgraphs	123	
label	Samba	
label_left	Samba	
label_right	Samba	
logsize	200	
name	Prog	
nostats	0	
nostatus	0	
notify	unprintable data structure	
notify::ackonup	0	
notify::autoack	1	
notify::list	unprintable data structure	
notify::mail_from	Argus	
notify::message_fmt	%i %m - %t	
notify::messagedn	Top:Server:sirius:samba is DOWN	
notify::messageup	Top:Server:sirius:samba is UP	
notify::notify	mail:[email-masked]	
notify::renotify	300	
notify::sendnotify	1	
notify::sendnotify2	1	
notify::shortmessages	0	
opentime	Tue 18 May 17:30:27 2004	
overridable	1	
ovstatus	up	
parents	unprintable data structure	
passive	0	
prog	unprintable data structure	
prog::command	smbclient -L sirius -U%	
prog::exit	256	
prog::pid	0	
prog::rbuffer	Error connecting to 172.16.0.12 (No route to 
host)~x0AConnection to sirius faile. . .	
severity	critical	
siren	1	
sirentime	Thu 18 Mar 10:25:57 2004	
sort	1	
srvc	unprintable data structure	
srvc::elapsed	7	
srvc::finished	1	
srvc::frequency	60	
srvc::lasttesttime	Tue 18 May 17:30:27 2004	
srvc::nexttesttime	Tue 18 May 17:31:27 2004	
srvc::phi	27	
srvc::result	Error connecting to 172.16.0.12 (No route to 
host)~x0AConnection to sirius faile. . .	
srvc::retries	2	
srvc::showreason	0	
srvc::state	done	
srvc::status	up	
srvc::timeout	60	
srvc::tries	0	
stats	unprintable data structure	
stats::daily	unprintable data structure	
stats::lasttime	Tue 18 May 17:00:00 2004	
stats::log	unprintable data structure	
stats::monthly	unprintable data structure	
stats::status	up	
stats::yearly	unprintable data structure	
status	up	
test	unprintable data structure	
test::alpha	1	
timeout	0	
transtime	Thu 18 Mar 13:27:58 2004	
type	Service	
uname	samba	
unique	Top:Server:sirius:samba	
wantread	0	
wantwrit	0	
web	unprintable data structure	
web::bkgimage	"/argusdata/argus.logo.gif"	
web::bldtime	Tue 18 May 17:28:23 2004	
web::footer_argus	<P><A HREF="/netadm/">Netzverwaltung</A>	
web::header_all	<h1>ARGUS Netzwerk-Monitor</h1>	
web::icon	"/argusdata/smile.gif"	
web::icon_down	"/argusdata/sad.gif"	
web::nospkr_icon	"/argusdata/nospkr.gif"	
web::refresh	60	
web::shownotiflist	1	
web::showstats	1	
web::sirensong	"/argusdata/whoopwhoop.wav"	
web::transtime	Tue 18 May 17:00:00 2004	
Dump of Current User

user	dariush	
groups	root	
home	Top	
pref	-	
locale	default	
hush time	never